# Bash Scripts

## Install Apache and Samba

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-apache.sh)"
```

### Optionally install uCMS

<pre><code>cd /var/www/cms/www
git clone https://git.myspace.nu/MySpace/uCMS-3.git .
chmod -R ugo+rwx ./</code></pre>

## Install MySQL

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-mysql.sh)"
```

## Install UFW (and disable iptables)

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-ufw.sh)"
```

## Install Bind

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-bind.sh)"
```

## Install Samba Active Directory Domain Controller

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-ubuntu-dc.sh)"
```

## Install VM Tweaks

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/vm-tweaks.sh)"
```

